
#ifndef MAIN_H
#define MAIN_H
#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------------
EWRAM_CODE void StateInit(); 
EWRAM_CODE void StateReset();
EWRAM_CODE void StateInput();
EWRAM_CODE void StateRun();

EWRAM_CODE void InitWS();
EWRAM_CODE void InitKey();
EWRAM_CODE void InitBG();
EWRAM_CODE void InitSprite();
EWRAM_CODE void InitIRQ();

EWRAM_CODE void ScreenInit();
EWRAM_CODE void ScreenEdit(u16 x, u16 y, u16 chr);
EWRAM_CODE void ScreenSaveSRAM();
EWRAM_CODE void ScreenLoadSRAM();
EWRAM_CODE void ScreenDraw(u16 x, u16 y);
EWRAM_CODE void ScreenDrawAll();
EWRAM_CODE void ScreenDrawFrame();


EWRAM_CODE void CursorInit();
EWRAM_CODE void CursorInput();
EWRAM_CODE void CursorDraw();

EWRAM_CODE void WriterInit();
EWRAM_CODE void WriterInput();
EWRAM_CODE void WriterDraw();
EWRAM_CODE bool WriterIsMove();
EWRAM_CODE void WriterMove();

EWRAM_CODE void BrainInit();
EWRAM_CODE void BrainRun();

#ifdef __cplusplus
}
#endif
#endif
